# API Reference | UFMODSnapshot

# 5. API Reference | UFMODSnapshot

This class inherits from UFMODEvent.

Methods:

- UFMODAsset::AssetGuid The unique Guid, which matches the one exported from FMOD Studio.
- UFMODEvent::GetParameterDescriptions Get parameter descriptions for this event.

## UFMODAsset::AssetGuid

The unique Guid, which matches the one exported from FMOD Studio.

C++

    FGuid AssetGuid;

## UFMODEvent::GetParameterDescriptions

Get parameter descriptions for this event.

C++

    void GetParameterDescriptions(
        TArray<FMOD_STUDIO_PARAMETER_DESCRIPTION> &Parameters
    ) const;

Parameters
  Parameters to retrieve.